Personal tools
You are here: Home Forum How to use Salome? TUI Scripts explaining how to make use of Sketcher

TUI Scripts explaining how to make use of Sketcher

Up to How to use Salome?

TUI Scripts explaining how to make use of Sketcher

Posted by Johannes Eckstein at July 15. 2010

http://docs.salome-platform.org/salome_5_1_4/geom/user/tui_sketcher_page.html

explains not really what I need to make the sketch I want.

I would like to create an axle with many different roundings between the different sections of the axle.

Is there a discription I have overseen that explains things like:  ??

sketch = geompy.MakeSketcher("Sketcher:F 100 100:TT 200 100:R 0:C 300 200:R 0:L 1.57:TT 100 300:WW") 

what is F; TT; R; C; WW actually meaning??

Whithout any curves in the sketch I can do already what I want, but how can I create those truncations or roundings, with mabee two or three radiis per truncation in my sketch.

What I also already know is how to get an closed wire from the sketch, create a revolution from that wire, afterwards making a shell from the revolution and from this creating a solid, exploding it an making a nice mesh...

Additional off topic question is how to get that geometry into ANSYS for postprocessing. What kind of mesh is good for ANSYS?

Best Regards

Johannes

Re: TUI Scripts explaining how to make use of Sketcher

Posted by Johannes Eckstein at July 15. 2010

Hi There, I found help in the salom Platform Documentation:

http://docs.salome-platform.org/salome_5_1_4/geom/dev/group__l3__sketcher.html#ga06d8ce8accc911e21d6378d6f092a2ff

def geompy.MakeSketcher (   self,


  theCommand,


  theWorkingPlane = [0  

)



Edges of the resulting wire or face will be arcs of circles and/or linear segments.
Format of the description string have to be the following:

"Sketcher[:F x1 y1]:CMD[:CMD[:CMD...]]"

Where:

  • x1, y1 are coordinates of the first sketcher point (zero by default),
  • CMD is one of
    • "R angle" : Set the direction by angle
    • "D dx dy" : Set the direction by DX & DY

    • "TT x y" : Create segment by point at X & Y
    • "T dx dy" : Create segment by point with DX & DY
    • "L length" : Create segment by direction & Length
    • "IX x" : Create segment by direction & Intersect. X
    • "IY y" : Create segment by direction & Intersect. Y

    • "C radius length" : Create arc by direction, radius and length(in degree)

    • "WW" : Close Wire (to finish)
    • "WF" : Close Wire and build face (to finish)
Parameters:

theCommand  String, defining the sketcher in local coordinates of the working plane.

theWorkingPlane  Nine double values, defining origin, OZ and OX directions of the working plane.

anyone willing to answer my other questions is very welcome, I still have to figure out how to make a nice sketch using those options.
 
Powered by Ploneboard
Document Actions